<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yeejoin.amos.boot.module.jcs.api.mapper.ControllerMapper">


    <select id="getCurrentStationController" resultType="com.yeejoin.amos.boot.module.jcs.api.dto.ControllerDto">
        SELECT
            *
        FROM
            jc_controller
        WHERE
            station = ( SELECT station FROM jc_controller WHERE sequence_nbr = #{sequenceNbr} )
    </select>
</mapper>
